Signed-off-by: Florian Schmaus <[email protected]>
---
eclass/texlive-module.eclass | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 7d40bfc58994..98c28f578216 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -539,11 +539,12 @@ texlive-module_src_install() {
find texmf-dist/doc/man -type f -name '*.[0-9n]' -print
|
grep -v "${grep_expressions[@]}" |
xargs -d '\n' --no-run-if-empty nonfatal doman
+ local pipestatus="${PIPESTATUS[*]}"
# The grep in the middle of the pipe may return 1 in
case
# everything from the input is dropped.
# See https://bugs.gentoo.org/931994
- [[ "${PIPESTATUS[*]}" == "0 "[01]" 0" ]]
- eend $? || die "error installing man pages"
+ [[ "${pipestatus}" == "0 "[01]" 0" ]]
+ eend $? || die "error installing man pages (pipestatus:
${pipestatus})"
# Delete all man pages under texmf-dist/doc/man
find texmf-dist/doc/man -type f -name '*.[0-9n]'
-delete ||
--
2.44.1